gpo.zugaina.org

Search Portage & Overlays:

dev-libs/libpeas

A GObject plugins library

Screenshots

  • libpeas-1.32.0
    ~alpha amd64 ~arm arm64 ~ia64 ~loong ~ppc ~ppc64 ~riscv ~sparc x86 ~amd64-linux ~x86-linux
    glade +gtk gtk-doc lua +python vala lua_single_target_luajit lua_single_target_lua5-1 python_single_target_python3_8 python_single_target_python3_9 python_single_target_python3_10 python_single_target_python3_11 test

    View      Download      Browse     License: LGPL-2.1+   
    Overlay: gentoo
  • libpeas-1.22.0-r6
    ~alpha amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc x86 ~amd64-linux ~x86-linux
    +gtk glade lua +python lua_single_target_luajit lua_single_target_lua5-1 python_single_target_python2_7 python_single_target_python3_8 python_single_target_python3_9 python_single_target_python3_10 test

    View      Download      Browse     License: LGPL-2+   

Runtime Dependencies

libpeas-1.32.0

>=dev-libs/glib-2.38:2
>=dev-libs/gobject-introspection-1.39:=

gtk?
      ( >=x11-libs/gtk+-3.0.0:3[introspection] )

glade?
      ( >=dev-util/glade-3.9.1:3.10 )

lua?
      ( lua_single_target_luajit?
            ( dev-lang/luajit:= )
       lua_single_target_lua5-1?
            ( dev-lang/lua:5.1 )
       lua_single_target_luajit?
            ( >=dev-lua/lgi-0.9.0[lua_targets_luajit
                  (-)
            ] )
       lua_single_target_lua5-1?
            ( >=dev-lua/lgi-0.9.0[lua_targets_lua5-1
                  (-)
            ] )
       )

python?
      ( python_single_target_python3_8?
            ( >=dev-lang/python-3.8.12_p1-r1:3.8 )
       python_single_target_python3_9?
            ( >=dev-lang/python-3.9.9-r1:3.9 )
       python_single_target_python3_10?
            ( >=dev-lang/python-3.10.0_p1-r1:3.10 )
       python_single_target_python3_11?
            ( >=dev-lang/python-3.11.0_beta1-r1:3.11 )
       python_single_target_python3_8?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_8
                  (-)
            ] )
       python_single_target_python3_9?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_9
                  (-)
            ] )
       python_single_target_python3_10?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_10
                  (-)
            ] )
       python_single_target_python3_11?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_11
                  (-)
            ] )
       )

libpeas-1.22.0-r6

>=dev-libs/glib-2.38:2
>=dev-libs/gobject-introspection-1.39:=

glade?
      ( >=dev-util/glade-3.9.1:3.10 )

gtk?
      ( >=x11-libs/gtk+-3:3[introspection] )

lua?
      ( >=dev-lua/lgi-0.9.0 lua_single_target_luajit?
            ( dev-lang/luajit:= )
       lua_single_target_lua5-1?
            ( dev-lang/lua:5.1 )
       )

python?
      ( python_single_target_python2_7?
            ( >=dev-lang/python-2.7.5-r2:2.7 )
       python_single_target_python3_8?
            ( >=dev-lang/python-3.8.12_p1-r1:3.8 )
       python_single_target_python3_9?
            ( >=dev-lang/python-3.9.9-r1:3.9 )
       python_single_target_python3_10?
            ( >=dev-lang/python-3.10.0_p1-r1:3.10 )
       python_single_target_python2_7?
            ( >=dev-python/pygobject-3.2:3[python_targets_python2_7
                  (-)
            ] )
       python_single_target_python3_8?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_8
                  (-)
            ] )
       python_single_target_python3_9?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_9
                  (-)
            ] )
       python_single_target_python3_10?
            ( >=dev-python/pygobject-3.2:3[python_targets_python3_10
                  (-)
            ] )
       )